This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### translate()
Examples |
    PShape s;

    void setup() {
      s = loadShape("bot.svg");
    }

    void draw() {
      background(204);
      shape(s);
    }

    void mousePressed() {
      // Move the shape 10 pixels right each time the mouse is pressed
      s.translate(10, 0);
    }
Description | Specifies an amount to displace the shape. The x parameter specifies left/right translation, the y parameter specifies up/down translation, and the z parameter specifies translations toward/away from the screen. Subsequent calls to the method accumulates the effect. For example, calling translate(50, 0) and then translate(20, 0) is the same as translate(70, 0). This transformation is applied directly to the shape, it's not refreshed each time draw() is run. Using this method with the z parameter requires using the P3D parameter in combination with size.
Syntax |
    sh.translate(x, y)
    sh.translate(x, y, z)
Parameters |
sh | PShape: any variable of type PShape
Returns | void
Related | rotate() scale() resetMatrix()

Updated on October 26, 2013 08:58:33pm PDT